Subject: Re: bug#56712: 29.0.50; x-dnd-tests-do-direct-save fails on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Jul 2022 11:55:49 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 24 Jul 2022 15:23:06 +0800
> 
> > Maybe it is worth our while to convert this to a debugging code which
> > would collect the information given some variable setting?  Similar to
> > what other packages do, like Tramp?
> 
> I'm not sure what you mean by that.  Could you explain which part of the
> Tramp code has such debug functionality?

I meant the concept: the user sets some variable, and that causes
debug information to be collected in some buffer.  The variable could
be a boolean, or it could allow specifying different levels of debug
info to collect.  See tramp-verbose for an example.  (I'm sure Michael
can describe these Tramp facilities in more detail if needed.)

Thanks.